commit:     504f447ff488f89ea556fd3a35d7a21216532a7d
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 24 00:21:05 2017 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sun Dec 24 00:22:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=504f447f

dev-perl/Panotools-Script: Fix test failures re bug #623084

- EAPI6
- Fix test failures

Bug: https://bugs.gentoo.org/623084
Package-Manager: Portage-2.3.18, Repoman-2.3.6

 .../Panotools-Script-0.280.0-r3.ebuild             | 38 ++++++++++++++++++++++
 .../Panotools-Script-0.28-curly-bracket.patch      | 30 +++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-perl/Panotools-Script/Panotools-Script-0.280.0-r3.ebuild 
b/dev-perl/Panotools-Script/Panotools-Script-0.280.0-r3.ebuild
new file mode 100644
index 00000000000..c04a544f9ae
--- /dev/null
+++ b/dev-perl/Panotools-Script/Panotools-Script-0.280.0-r3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=BPOSTLE
+DIST_VERSION=0.28
+inherit eutils perl-module
+
+DESCRIPTION="A perl module for reading, writing, and manipulating hugin script 
files"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gui"
+
+RDEPEND="dev-perl/URI
+       dev-perl/libwww-perl
+       >=dev-perl/Image-Size-2.900.0
+       >=media-libs/exiftool-6
+       gui? ( gnome-extra/zenity )"
+DEPEND=""
+PATCHES=( "${FILESDIR}/${PN}-0.28-curly-bracket.patch" )
+
+src_install() {
+       perl-module_src_install
+       if use gui ; then
+               domenu "${S}"/desktop/*.desktop || die
+       else
+               rm "${D}"/usr/bin/*-gui || die
+       fi
+}
+
+pkg_postinst() {
+       einfo "Some of the scripts require 'nona', 'freepv', 'enblend', 
'autotrace', and"
+       einfo "ImageMagick command-line tools which are available in the 
following"
+       einfo "packages: media-gfx/hugin, media-gfx/freepv, media-gfx/enblend,"
+       einfo "media-gfx/autotrace, and media-gfx/imagemagick."
+}

diff --git 
a/dev-perl/Panotools-Script/files/Panotools-Script-0.28-curly-bracket.patch 
b/dev-perl/Panotools-Script/files/Panotools-Script-0.28-curly-bracket.patch
new file mode 100644
index 00000000000..edbc260e7d5
--- /dev/null
+++ b/dev-perl/Panotools-Script/files/Panotools-Script-0.28-curly-bracket.patch
@@ -0,0 +1,30 @@
+From eb0ec97d7cd256b1c57e1508134c0285203d6674 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Petr=20P=C3=ADsa=C5=99?= <ppi...@redhat.com>
+Date: Mon, 22 May 2017 11:48:27 +0200
+Subject: Escape literal curly bracket in a regexp
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Literal curly brackets must be escaped for Perl 5.26.0.
+
+Bug: https://rt.cpan.org/Public/Bug/Display.html?id=117275
+Bug: https://bugs.gentoo.org/623084
+Signed-off-by: Petr Písař <ppi...@redhat.com>
+---
+ t/104.metachars.t | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/t/104.metachars.t b/t/104.metachars.t
+index 68ec199..8f3bb9e 100644
+--- a/t/104.metachars.t
++++ b/t/104.metachars.t
+@@ -25,4 +25,4 @@ print $rule->Assemble;
+ ok ($rule->Assemble =~ /%.1 : %.pod/);
+ ok ($rule->Assemble =~ /\tpod2man --center \$\(PACKAGE\) --release 
\$\(PACKAGE_VERSION\) \$< \$@/);
+ ok ($rule->Assemble =~ /\techo `uname -a` > \$\(TMPDIR\)\/foo/);
+-ok ($rule->Assemble =~ /\tuname -a > \${TMPDIR}\/bar && echo \\"\\ 
\\#\\#\\#\\ \\\(woo\\!\\\)\\ \\#\\#\\#\\ \\"/);
++ok ($rule->Assemble =~ /\tuname -a > \$\{TMPDIR\}\/bar && echo \\"\\ 
\\#\\#\\#\\ \\\(woo\\!\\\)\\ \\#\\#\\#\\ \\"/);
+-- 
+2.15.1
+

Reply via email to